import { ButtonPosition, ButtonStyles } from './button';
import { CustomStyle, StatefulStyles } from './styles';
export type CustomDropupItemStateStyles = {
    item?: StatefulStyles;
    iconContainer?: CustomStyle;
    text?: CustomStyle;
};
export type CustomDropupItemStyles = {
    default?: CustomDropupItemStateStyles;
    active?: CustomDropupItemStateStyles;
    disabled?: CustomDropupItemStateStyles;
};
export type CustomButtonStyles = {
    default?: ButtonStyles;
    active?: ButtonStyles;
    disabled?: ButtonStyles;
};
export type CustomButton = {
    styles?: {
        button?: CustomButtonStyles;
        dropup?: CustomDropupItemStyles;
    };
    position?: ButtonPosition;
    initialState?: keyof CustomButtonStyles;
    setState?: (state: keyof CustomButtonStyles) => void;
    onClick?: (lastState: keyof CustomButtonStyles) => keyof CustomButtonStyles | void;
};
//# sourceMappingURL=customButton.d.ts.map